XScreenSaver(1)

NAME
interference - decaying sinusoidal waves

SYNOPSIS
interference [-display host:display.screen] [-visual visual] [-window] [-root] [-count number] [-gridsize number] [-delay number] [-speed number] [-radius number] [-ncolors number] [-color-shift number] [-hue number] [-no-db]

DESCRIPTION
Another color-field hack, this one works by computing decaying sinusoidal waves, and allowing them to interfere with each other as their origins move.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-count number
    Number of Waves. 0 - 20. Default: 3.

-gridsize number
    Magnification.    1 - 20.  Default: 4.

-delay number
    Per-frame delay, in microseconds. Default: 30000 (0.03 seconds.).

-speed number
    Wave Speed. 1 - 100. Default: 30.

-radius number
    Wave Size.  50 - 1500.    Default: 800.

-ncolors number
    Number of Colors. Default: 128.

-color-shift number
    Color Contrast. 0 - 100. Default: 60.

-hue number
    Hue of the base color (0-360, as in HSV space.) Default 0, meaning random.

-db | -no-db
    Whether to double buffer.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Hannu Mallat. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Hannu Mallat.